# svn_export

(PECL svn >= 0.3.0)

svn_export — Export the contents of a SVN directory

### Description

svn_export ( string `$frompath` , string `$topath` [, bool `$working_copy` = `TRUE` [, int `$revision_no` = -1 ]] ) : bool

Export the contents of either a working copy or repository into a 'clean' directory.

### Parameters

`frompath`

  The path to the current repository.

`topath`

  The path to the new repository.

`working_copy`

  If `TRUE`, it will export uncommitted files from the working copy.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 svn_export() example

`<?php
$working_dir = '../';
$new_working_dir = '/home/user/devel/foo/trunk';
svn_export($working_dir, $new_working_dir);
?>`

### See Also

- svn_import() - Imports an unversioned path into a repository